openjdk-8 (8u504-ga~us1-0ubuntu2) stonking; urgency=medium

  * d/rules: depend on libjpeg8 instead of libjpeg-turbo8 as
    libjpeg-turbo 1:3.1.3 renamed the runtime library package to
    libjpeg8

 -- Nadzeya Hutsko <nadzeya@ubuntu.com>  Wed, 26 Aug 2026 21:24:00 +0200

openjdk-8 (8u504-ga~us1-0ubuntu1) stonking; urgency=medium

  * New upstream release
    - CVEs:
      + CVE-2026-61308
      + CVE-2026-70907
      + CVE-2026-60589

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 19 Aug 2026 18:50:05 +1200

openjdk-8 (8u502-ga~us1-0ubuntu1) stonking; urgency=medium

  * New upstream release.
    - CVEs:
      + CVE-2026-46968
      + CVE-2026-47010
      + CVE-2026-47021
      + CVE-2026-47027
      + CVE-2026-60147
      + CVE-2026-47059
      + CVE-2026-47063
      + CVE-2026-47057
      + CVE-2026-47058
      + CVE-2026-41254
    - See release notes here: https://bit.ly/openjdk8u502
  * Refresh patches.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 22 Jul 2026 20:36:49 +0530

openjdk-8 (8u492-ga~us2-0ubuntu2) stonking; urgency=medium

  * d/p/hotspot-libpath-aarch32.diff: Refresh patch.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 04 May 2026 08:21:02 +1200

openjdk-8 (8u492-ga~us2-0ubuntu1) stonking; urgency=medium

  * New upstream release.
    - CVEs:
      + CVE-2026-22016: 8370529: Enhance Path Factories Redux
      + CVE-2026-22021: 8371830: Enhance certificate chain validation
      + CVE-2026-22013: 8370615: Improve Kerberos credentialing
      + CVE-2026-23865: 8379158: Update FreeType to 2.14.2
      + CVE-2026-22018: 8370986: Enhance Zip file reading
      + CVE-2026-22007: 8369575: Enhance crypto algorithm support
      + CVE-2026-34268: 8371935: Enhance key generation
  * Refresh patches.
  * d/p/uabs-*.diff: Drop patch applied upstream.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Apr 2026 11:56:52 +1200

openjdk-8 (8u482-ga-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2026-21925, CVE-2026-21932, CVE-2026-21933, CVE-2026-21945
  * Drop uabs patches, included upstream.
  * debian/patches/hotspot-libpath-*.diff:
    - updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 02 Mar 2026 00:18:52 +0100

openjdk-8 (8u482-ga-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2026-21925, CVE-2026-21932, CVE-2026-21933, CVE-2026-21945
  * Drop uabs patches, included upstream.
  * debian/patches/hotspot-libpath-*.diff:
    - updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 02 Mar 2026 00:18:52 +0100

openjdk-8 (8u472-ga-1) unstable; urgency=low

  * New upstream release (Closes: #1118944)
  * CVEs
    - CVE-2025-53057
    - CVE-2025-53066
  * Other changes see https://bit.ly/openjdk8u472
  * Update d/copyright
  * Sync list of compilers and known releases
  * Add patches to rename the (custom) uabs function, to avoid a
    conflict with glibc 2.42 in experimental, following what jdk11
    did but wasn’t yet merged to jdk8 (Closes: #1115228)
  * Build with -std=gnu11 as configure tests for, not C23 ready

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 02 Nov 2025 17:30:44 +0000

openjdk-8 (8u462-ga-1) unstable; urgency=low

  * New upstream release
  * CVEs
    - CVE-2025-30749
    - CVE-2025-30754
    - CVE-2025-30761
    - CVE-2025-50106
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-July/020263.html

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Jul 2025 11:44:43 +0000

openjdk-8 (8u452-ga-1) unstable; urgency=low

  * Revert previous workaround
  * Use = ipv := for jre_hl_tools gmake variable (Closes: #1095932)
  * Explicitly use R³:no
  * New upstream release
  * CVEs
    - CVE-2025-21587
    - CVE-2025-30691
    - CVE-2025-30698
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-April/019989.html
  * Add Roberto as ELTS fallback for pochu
  * Bump Policy, (should be) no change needed

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 May 2025 22:09:45 +0000

openjdk-8 (8u442-ga-2) unstable; urgency=low

  * Add explicit R³: binary-targets to work around dpkg 1.22.13 changing
    default behaviour, violating Policy §5.6.31, leading to binary-*
    target not called in separate make run any more which some wildcard
    matches rely on, to get the correct files (Closes: #1095746)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 12 Feb 2025 02:55:46 +0100

openjdk-8 (8u442-ga-1) unstable; urgency=low

  * New upstream release
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-January/019658.html
  * Drop mantic, add plucky
  * Add pochu to Uploaders
  * Bump testing/sid GCC to 14 (Closes: #1092660);
    for oracular/plucky as well, noble is kept at GCC 13
  * Since xfwm4 is available on every arch we build again, drop exclusion
  * Drop remnants of IA64 support (long gone from Linux)
  * Remove m68k support: broken, needs rebootstrapping after the ABI change
    anyway, at which point openjdk-8 might not be needed at all
  * Add patch for FTBFS with GCC 14’s strictened types
  * Bump Policy (nothing to do)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 10 Feb 2025 01:11:43 +0100

openjdk-8 (8u432-b06-2) unstable; urgency=medium

  * Drop b04-to-b05-hotspot.diff, no longer needed. Fixes FTBFS on armhf.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 03 Nov 2024 12:33:56 +0100

openjdk-8 (8u432-b06-1) unstable; urgency=medium

  [ Vladimir Petko ]
  * Include /usr/share/dpkg/buildflags.mk to work around *buntu
    breaking package builds without it (Closes: #1076752)

  [ Thorsten Glaser ]
  * Include /usr/share/dpkg/buildflags.mk only if it exists
  * Set JT_JAVA if needed to not need default-jre-headless

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * CVEs
    - CVE-2024-21208
    - CVE-2024-21210
    - CVE-2024-21217
    - CVE-2024-21235
  * Security fixes
    - JDK-8290367, JDK-8332643: Update default value and extend the scope
      of com.sun.jndi.ldap.object.trustSerialData system property
    - JDK-8313626, JDK-8307769: C2 crash due to unexpected
      exception control flow
    - JDK-8328286: Enhance HTTP client
    - JDK-8328544: Improve handling of vectorization
    - JDK-8328726: Better Kerberos support
    - JDK-8331446: Improve deserialization support
    - JDK-8332644: Improve graph optimizations
    - JDK-8335713: Enhance vectorization analysis
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-October/019414.html

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 01 Nov 2024 22:24:27 +0100

openjdk-8 (8u422-b05-1) unstable; urgency=medium

  * New upstream release
  * CVEs
    - CVE-2024-21131
    - CVE-2024-21138
    - CVE-2024-21140
    - CVE-2024-21144
    - CVE-2024-21145
    - CVE-2024-21147
  * Security fixes
    - JDK-8314794: Improve UTF8 String supports
    - JDK-8319859: Better symbol storage
    - JDK-8320097: Improve Image transformations
    - JDK-8320548: Improved loop handling
    - JDK-8322106: Enhance Pack 200 loading
    - JDK-8323231: Improve array management
    - JDK-8323390: Enhance mask blit functionality
    - JDK-8324559: Improve 2D image handling
    - JDK-8325600: Better symbol storage
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-July/018904.html
  * Re-enable tests on noble/i386, the prerequisites were added back
    with no coordination; disable on sid/{m68k,sh4} for same reason
  * Overhaul way various control files are (re‑)generated
  * Avoid default-jre being pulled in by B-D-ing on jdk-!headless again
  * Upload sponsored by QVEST ⮡ dıgıtal

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 20 Jul 2024 01:34:18 +0200

openjdk-8 (8u412-ga-1) unstable; urgency=medium

  * New upstream release (Closes: #1069678)
  * CVEs
    - CVE-2024-21011
    - CVE-2024-21085
    - CVE-2024-21068
    - CVE-2024-21094
  * Security fixes
    - JDK-8317507, JDK-8325348: C2 compilation fails
      with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-April/018329.html
  * Upload sponsored by QVEST ⮡ dıgıtal
  * Re-enable running tests by default except on noble/i386 (lacks prereqs)
  * Switch from pkg-config to pkgconf for bookworm/mantic+ (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 23 Apr 2024 01:10:58 +0200

openjdk-8 (8u402-ga-8) unstable; urgency=low

  * Boostrap with jdk-headless
  * Add patch to switch dlsym use to time_t-64 functions if needed

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 06 Apr 2024 17:27:18 +0200

openjdk-8 (8u402-ga-7) unstable; urgency=low

  * Remove jexec from jinfo to fix update-java-alternatives (LP#2059181)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 02 Apr 2024 17:03:49 +0200

openjdk-8 (8u402-ga-6) unstable; urgency=low

  * Build without tests for t64 transition

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 24 Mar 2024 22:47:14 +0100

openjdk-8 (8u402-ga-5) unstable; urgency=low

  * Switch noble also to libcups2t64

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 19 Mar 2024 22:43:33 +0100

openjdk-8 (8u402-ga-4) unstable; urgency=medium

  * Switch to a different “random small arch:all package existing
    only in Debian” for the cups t64 divide check, due to #805988

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 14 Mar 2024 21:33:20 +0100

openjdk-8 (8u402-ga-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * Unbreak installability with missing /usr/share/binfmts

  [ Thorsten Glaser, Vladimir Petko ]
  * Fix coïnstallability for real on focal, jammy, mantic where
    libatk-wrapper-java-jni:i386 does not exist, by making its
    absence at run-time into a warning for *only* i386 on affected
    releases (pre-focal, noble+, Debian aren’t affected)
    Closes: #1064191, LP#1916327, LP#2053110

  [ Thorsten Glaser ]
  * Update dlopen dependencies for t64 transition:
    - libcups2 → libcups2t64 for trixie+ (and >noble?)
    - libglib2.0-0 → libglib2.0-0t64 for trixie+ and noble+
    - libgtk2.0-0 → libgtk2.0-0t64 for trixie+ and noble+
  * Adjust bd_syslibs to ensure right side of the t64 divide

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 13 Mar 2024 22:46:46 +0100

openjdk-8 (8u402-ga-2) unstable; urgency=low

  * d/rules reliability fixes and extra checks
  * Patch OpenJDK to pass errorlevel when configure fails
  * Show config.log if present in such cases
  * Do not install jexec alternative any more (unlike newer
    versions it cannot run just any JAR), drop .jar binfmt
    registration with it (LP#1775785); please use jarwrapper
  * Restore M-A installability of focal/i386 package (LP#1916327)
    by adding xenial, bionic, focal, jammy to the list of releases
    built with the ATK bridge, but not enabling it by default;
    keep jessie on, stretch and sid and mantic/noble off the list:
    please report bugs for issues with the bridge, so sthibault
    can find, debug, fix them

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 31 Jan 2024 06:05:28 +0100

openjdk-8 (8u402-ga-1) unstable; urgency=low

  [ Leslie Zhai ]
  * Add openjdk-8 zero support for loong64 (Closes: #1060236)

  [ Thorsten Glaser ]
  * Merge 8u392-ga-1+sparc64
  * Drop alpha-float-const.diff, seems no longer needed
  * Use config.{guess,sub} from autotools-dev for the JDK as well
    as icedtea-sound; autoreconf the latter; use sh explicitly
  * Enable pulse for alpha and loong64
  * New upstream release
  * CVEs
    - CVE-2024-20918
    - CVE-2024-20919
    - CVE-2024-20921
    - CVE-2024-20926
    - CVE-2024-20945
    - CVE-2024-20952
  * Security fixes
    - JDK-8308204: Enhanced certificate processing
    - JDK-8314284: Enhance Nashorn performance
    - JDK-8314295: Enhance verification of verifier
    - JDK-8314307: Improve loop handling
    - JDK-8314468: Improve Compiler loops
    - JDK-8316976: Improve signature handling
    - JDK-8317547: Enhance TLS connection support
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-January/017883.html
  * Upload sponsored by QVEST ⮡ dıgıtal

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 19 Jan 2024 00:30:27 +0100

openjdk-8 (8u392-ga-1+sparc64) unreleased; urgency=medium

  * Disable Hotspot on sparc64 as it is currently broken
    (Closes: #1056570)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 23 Nov 2023 11:01:30 +0100

openjdk-8 (8u392-ga-1) unstable; urgency=low

  [ Emmanuel Bourg ]
  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages

  [ Thorsten Glaser ]
  * Link with -Wl,--no-as-needed like openjdk-11 in case 8u ever loses
    the mapfiles (cf. #1031521)
  * Depend on libasmtools-java on buster, bullseye as well
  * New upstream release
  * CVEs
    - CVE-2023-22067
    - CVE-2023-22081
  * Security fixes
    - JDK-8286503, JDK-8312367: Enhance security classes
    - JDK-8297856: Improve handling of Bidi characters
    - JDK-8303384: Improved communication in CORBA
    - JDK-8305815, JDK-8307278: Update Libpng to 1.6.39
      (not relevant, as we use the system libraries)
    - JDK-8309966: Enhanced TLS connections
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2023-October/017616.html
  * Use b07 for aarch32, patch it to b08/ga, aarch32-b08 doesn’t exist yet
  * Update pathnames used by the embedded library removal code (repacking)
  * Overhaul d/copyright using both upstream notices and diff review
  * Upload sponsored by QVEST ⮡ dıgıtal

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 21 Oct 2023 21:26:54 +0200

openjdk-8 (8u382-ga-2) unstable; urgency=low

  * Update 8u382-ga-1 changelog entry
  * On releases that have it, switch to libjpeg-dev B-D so that
    certain derivatives can reuse d/control (Closes: #1042855)
  * Use default gcc-13 on trixie/sid, mantic

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 03 Aug 2023 02:55:51 +0200

openjdk-8 (8u382-ga-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * In Debian, stick with jtreg (5.x) since the plans to update
    that to 7 did not materialise (there’s now jtreg7), and the
    testng required by jtreg 7 for JDK 20 is too new for JDK 8.
    Keep jtreg6 (currently commented out until available) for
    Debian ELTS, because it’s so much better than the jtreg 4.x
    in jessie and stretch. Thanks Vladimir for the research!
  * Update sparc64 patch
  * Fix encoding in a documentation file
  * Refactor generation and use of GCC dependency to avoid
    surprises from unexpected gcc-defaults changes (sid just
    switched to 13, but that is too early to try for this month)

  [ Vincent Prat, Emmanuel Bourg ]
  * Change maintainer address mailing list address

  [ Thorsten Glaser ]
  * New upstream release
  * CVEs
    - CVE-2023-22045
    - CVE-2023-22049
  * Security fixes
    - JDK-8298676: Enhanced Look and Feel
    - JDK-8300596: Enhance Jar Signature validation
    - JDK-8304468: Better array usages
    - JDK-8305312: Enhanced path handling
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2023-July/017285.html
  * Upload sponsored by ⮡̶ ̶t̶a̶r̶e̶n̶t̶Qvest digital

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 21 Jul 2023 19:19:02 +0200

openjdk-8 (8u382~b04-2) unstable; urgency=medium

  * Rewrite codename-based if(n)eqs, so they fail safer (Closes: #1040167)
  * Maybe fix sparc64 Linux build failure
  * Do not run check for nōn-Hotspot architectures (Closes: #1040181)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Jul 2023 00:17:03 +0200

openjdk-8 (8u382~b04-1) unstable; urgency=low

  * Merge *buntu changes
    - limit the change to keep using jtreg to that distro
  * Update to latest prerelease, update d/copyright accordingly
  * Appease more lintian
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Jun 2023 21:40:41 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openjdk-8-doc`.
